AUPARSE_GOTO_RECORD_NUM(3)

NAME
auparse_goto_record_num - move record cursor to specific record

SYNOPSIS
#include <auparse.h>

int auparse_goto_record_num(auparse_state_t *au, unsigned int num);

DESCRIPTION
auparse_goto_record_num will move the internal library cursors to point to a specific physical record number. Records within the same event are numbered starting from 0. This is generally not needed but there are some cases where one may want precise control over the exact record being looked at.

RETURN VALUE
Returns 0 on error or 1 for success.

SEE ALSO
auparse_get_num_records(3),auparse_next_record(3).

AUTHOR
Steve Grubb